(function ($, _, Backbone, app) {


    app.router = Backbone.Router.extend({

        initialize: function () {
            var $body = $('body');
            if ($body.hasClass('main-page')) {
                this.mainView = new app.views.mainView({router: this});
            }
            if ($body.hasClass('article-page')) {
                this.articleView = new app.views.articleView({router: this});
            }
            if ($body.hasClass('about-page')) {
                this.aboutView = new app.views.aboutView({router: this});
            }
            if ($body.hasClass('contents-page')) {
                this.contentsView = new app.views.contentsView({router: this});
            }
        }

    });

})(jQuery, _, Backbone, application);