var application = window.application = {'models': {}, 'views': {}, 'tools': {}, 'router': false};

var facebookAPIUrl = "https://graph.facebook.com/";

var facebookPage = "https://www.facebook.com/typejournal.ru";

var emptyRowsToRender = 1;
var staticUrl = '/static/';

var imageTypes = {
    header: 'Header',
    bukvica: 'Bukvica',
    preview: 'Preview'
};

var settings = {
     subscribeUrl: 'https://shop.typejournal.ru/_typejournal_ru_/subscribe.php', /* '/about/', */
    facebookAPIUrl: facebookAPIUrl,
    facebookPage: facebookPage,
    imageTypes: imageTypes,
    emptyRowsToRender: emptyRowsToRender,
    staticUrl: staticUrl,
    horizontalShift: 5,
    verticalShift: 2
};

$.ajaxSetup({
    beforeSend: function (xhr, settings) {
        function sameOrigin(url) {
            // test that a given url is a same-origin URL
            // url could be relative or scheme relative or absolute
            var host = document.location.host; // host + port
            var protocol = document.location.protocol;
            var sr_origin = '//' + host;
            var origin = protocol + sr_origin;
            // Allow absolute or scheme relative URLs to same origin
            return (url == origin || url.slice(0, origin.length + 1) == origin + '/') ||
                (url == sr_origin || url.slice(0, sr_origin.length + 1) == sr_origin + '/') ||
                // or any other URL that isn't scheme relative or absolute i.e relative.
                !(/^(\/\/|http:|https:).*/.test(url));
        }

        if (sameOrigin(settings.url)) {
            xhr.setRequestHeader("X-CSRFToken", $.cookie('csrftoken'));
        }
    }
});

jQuery(document).ready(function () {
    if ('ontouchstart' in document) {
        jQuery('body').removeClass('no-touch');
    }

    /* Если устройство с retina экраном, то заменяем версию изображения
     * на версию с высоким разрешением */
    if (window.devicePixelRatio == 2) {
        var images = $("img.with-retina");

        // loop through the images and make them hi-res
        for (var i = 0; i < images.length; i++) {

            // create new image name
            var imageType = images[i].src.substr(-4);
            var imageName = images[i].src.substr(0, images[i].src.length - 4);
            imageName += "-2x" + imageType;

            //rename image
            images[i].src = imageName;
        }
    }
});



